# Problme soumis par J. Nowak
# Code soumis par J. Nowak modifi par C. Roy
#la base de donnes au 99 premires observations
#
#                            Instructions
#_______________________________________________________________________________
#pour les "nouveaux" vous allez devoir installer les packages avant de les appeler
#Pour installer des Packages directement dans R tapez:
# (Alt-P)
# I
# Choisissez votre miroir s'il n'est pas install par dfaut (QC1 ou QC2 devrait marcher)
# Choisissiez le package que vous voulez installer dans la liste

#For englisdh people: You'll need to install the package that are called below first
#To install packages press:
# (Alt-P)
# I
#Choose your miror if necessary
#Choose the package you want to install
#
#                          Set working drive
#_______________________________________________________________________________
setwd("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR")  #Change work drive if necessary
#
#                          Call packages
#_______________________________________________________________________________
library(adehabitat)
library(RODBC)  #You need this package to import DBF files 
#
#                          Import File
#_______________________________________________________________________________
Channel.1 <- odbcConnectDbase("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR\\josh.dbf")
#if for some reason you want to relaod the database disconnect it first by running:
#odbcClose(Channel.1) 
Channel.1
ch <-(sqlFetch(Channel.1 ,"josh"))        #this is the file I sent you earlier
ch<-ch[1:99,] #delete all the NA
#
#                          Check file content
#_______________________________________________________________________________
head(ch, 25)
#
ch <-(sqlFetch(Channel.1 ,"josh"))        #this is the file I sent you earlier
ch<-ch[1:99,] #delete all the NA

temp.times = as.character(ch$LMT_TIME)
temp.dates = as.character(ch$LMT_DATE)
dates = paste(temp.dates, temp.times)

dates.lt = strptime(dates, "%Y-%m-%d %H:%M:%S")
dates.ct = as.POSIXct(dates)

ch.traj = as.ltraj( ch$ELK_ID, xy = ch[,c('LATITUDE','LONGITUDE')], date = dates.ct)
 
